Subject: Re: [PATCH v5 3/6] pack-bitmap-write: learn pack.writeBitmapLookupTable and add tests

From: Taylor Blau <[email-masked]>
Date: Fri, 19 Aug 2022 17:49:37 -0400

Hi Abhradeep,

On Wed, Aug 17, 2022 at 04:38:14PM -0400, Taylor Blau wrote:
> > > Abhradeep -- let me know if this is something you want to look into. I
> > > think it's a very worthwhile bug to fix, since it is definitely
> > > trigger-able in the wild (notably, only with `git multi-pack-index write
> > > --bitmap` without `--stdin-packs` and only under certain circumstances),
> > > and not just limited to SHA-256 mode.
> > >
> > > If you are busy experimenting with CRoaring, that's no problem and I can
> > > fix this up, too. Either way, it would be worth you and others weighing
> > > in on which fix you think is worth pursuing.
> >
> > I will be happy to fix it but I can't work on it right now (neither on
> > CRoaring) because I am currently preparing for my exam. I can continue
> > my work after that (i.e. from 19 aug). If you feel it is getting too
> > late then you can do this too. I am also thinking of  writing a patch
> > for bitmap specific test dump tool (as Johannes proposed previously).
>
> No problem. I wrote up some patches today myself that implement the
> above fix. I haven't polished them up yet, but they are available here:
>
>     https://github.com/ttaylorr/git/compare/master...ttaylorr:git:tb/bitmap-use-existing-preferred
>
> I want to add a more direct reproduction that works in both SHA-1 and
> SHA-256 to demonstrate that these patches fix the issue. But in the
> meantime, you can use Dscho's reproduction with these patches (based on
> the tip of `master`) applied on top and observe that it passes
> consistently.

That is now done and I sent the resulting patch series to the list,
which I'd encourage you to review here:

    https://lore.kernel.org/git/[email-masked]/T/#t

Phew!

Thanks,
Taylor